Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.property
Interface ActionTriggerMarkup

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public interface ActionTriggerMarkup

For portlets written to the IBM portlet API only.

This interface is used to encapsulate the Click-to-Action menu markup matching a property or a set of properties. It allows the markup to be retrieved in its logical parts, thus allowing programmers to associate the menu and action invocation behavior with any clickable element generated by the portlet, as an alternative to using the default clickable icon which is otherwise generated. This interface is created by the `getActionTriggerMarkup` methods in the `PropertyBrokerService` interface. The locale for any locale-specific markup that is encapsulated is obtained from the locale for the `PortletRequest` object passed to the `getActionTriggerMarkup` method.

Since:
  5.0
See Also:
  `PropertyBrokerService`

Method Summary
`java.lang.String` | `getOnClickMarkup()` Deprecated. Returns the markup to be tied to the element attribute governing the click behavior (the onclick attribute in html/javascript).
`java.lang.String` | `getShowActionsMarkup()` Deprecated. Returns the markup/code for displaying the actions matching the source, and for triggering action dispatch when one is chosen.
`boolean` | `isWired()` Deprecated. Returns true if the source property is "wired" to a set of actions.
`boolean` | `isWiredAcrossPages()` Deprecated. Returns true if the source property is "wired" to a set of actions on a different page.
`boolean` | `preWiredActions()` Deprecated.

Method Detail

### getOnClickMarkup

    java.lang.String getOnClickMarkup()

  Deprecated.
  Returns the markup to be tied to the element attribute governing the click behavior (the onclick attribute in html/javascript). The markup will cause the execution of code returned by the `getShowActionsMarkup` method.

  See Also:
    `getShowActionsMarkup()`

### getShowActionsMarkup

    java.lang.String getShowActionsMarkup()

  Deprecated.
  Returns the markup/code for displaying the actions matching the source, and for triggering action dispatch when one is chosen. The execution of this code is triggered through clicking and is invoked by the markup returned by `getOnClickMarkup`. For browsers, this is javascript/html for displaying a pop-up menu with the actions and for dispatching the action if selected by the user. This markup must be written to the page separate from any other markup element, as it contains function definitions.

  See Also:
    `getOnClickMarkup()`

### isWired

    boolean isWired()

  Deprecated.
  Returns true if the source property is "wired" to a set of actions. In this case the pre-wired actions will be triggered on user interaction, no choice will be presented to the user. This method is provided so the programmer can associate the onclick markup with a slightly different visual element in each case, to give the user a cue as to which case is in effect.

  Returns:
    true if the source property is "wired" to a set of actions.

### isWiredAcrossPages

    boolean isWiredAcrossPages()

  Deprecated.
  Returns true if the source property is "wired" to a set of actions on a different page.

  Returns:
    true if the source property is "wired" to a set of actions.
  Since:
    5.1.0.1
  See Also:
    `isWired()`

### preWiredActions

    boolean preWiredActions()

  Deprecated.

  This method is deprecated. Use `isWired` instead.

  See Also:
    `isWired()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD